#### Convert the bitstream from *.bit to *.bit.bin ####


a. Copy the bitstream of your project into the folder bit2bitbin.

b. Modify the file called ‘bit2bin.bif’ with the following content: (change example.bit with the bitstream of your project)

```
 the_ROM_image:
{
[bootloader]dummy.elf
example.bit
}
```


c. Make sure you have a dummy.elf in that directory.

d. In terminal go to the directory of bit2bitbin folder with **cd**.

e. Then, run some “magical steps” using the Xilinx tools to convert the bit stream to a loadable bit stream.

```
$ source /opt/Xilinx/Vivado/2015.4/settings64.sh
$ bootgen -image bit2bin.bif -split bin
```
